@import "style/config/index"
@import "style/header"
@import "style/navigation"
@import "style/sidebarOnline"
@import "style/submission/index"
@import "style/admin/Groups/index"
@import "style/UI/index"
@import "style/admin/Forum/index"
@import "style/admin/Keyword/index"
@import "style/admin/Resources/index"
@import "style/auth"
@import "style/admin/index"
@import "style/Profile"
@import "style/admin/NoticeBoard/NoticeBoard"
@import "style/admin/RegistrationFlow/index"
@import "style/attendance"
@import "style/Events"
@import "style/dashboard"
@import "style/UI/ReactTable"
@import "style/assessments"
@import "~react-id-swiper/src/styles/scss/swiper"
#root
  overflow: hidden
body, html
  overflow-x: hidden
.app-body
  display: flex
  min-height: calc(100vh - 64px)
  main
    padding: 34px 46px
    position: relative
    flex: 1
    background-color: $main-background
    flex-wrap: wrap
    overflow: hidden
    max-height: calc(100vh - 135px)
    & > *
      width: 100%

.registration-flow
  min-height: calc(100vh - 75px)
  background: $main-background

.page-title
  color: $page-title
  font-size: 32px
  font-weight: 600
  line-height: 48px

.swal2-popup
  button
    min-width: 90px
    height: 40px

.non-responsive
  overflow: auto
  width: 1366px
  #root
    overflow: hidden
  .app-body
    width: 1366px


.react-datepicker-popper
  z-index: 20!important
  &[data-placement="bottom-end"]
    .react-datepicker__triangle
      left: 80%!important
